<?php
	
	/*--------------------------------------------------------------
	# ILife - September 2008 (for Joomla 1.5)
	# Copyright (C) 2007-2008 Gavick.com. All Rights Reserved.
	# License: Copyrighted Commercial Software
	# Website: http://www.gavick.com
	# Support: support@gavick.com 
	---------------------------------------------------------------*/
	
	// no direct access
	defined('_JEXEC') or die('Restricted access');

	// including base setup files
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_setup.php');
	
	// setting variable for template base url
	$template_baseurl = $this->baseurl . '/templates/' . $this->template;

	// adding mootools
	JHTML::_('behavior.mootools');
	
	// getting variables from administration panel
	$mtype = $this->params->get("menutype", "moomenu");
	$datatop = ($this->params->get("datatop", 1)  == 2) ? false : true;
	$youah = ($this->params->get("youah", 1)  == 2) ? false : true;
	$header_width = $this->params->get("header_width", 626);
	$header_margin = 14;
	
	if($this->countModules('header + advert2') < 2)
	{
		if($this->countModules('header')) $header_width = 904;
		else $header_width = 1;
		
		$header_margin = 0;
	}

	// getting menu
	$menu = & JSite::getMenu();
	// getting information about third_width mode
	$third_width = $this->params->get("third_width", 1);
	// creating JURI instance	
	$url = clone(JURI::getInstance());		
	// getting User object and user ID 
	$user =& JFactory::getUser();
	$userID = $user->get('id');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >
<head>
<jdoc:include type="head" />
<?php 
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/menu.php');
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_head.php');	
?>
</head>
<body id="bg">
<div id="page_wrap_1">
        <div id="page_wrap_2">
                <div id="main_wrap" class="clearfix">
                        <!-- Top wrapper -->
                        <div id="top_wrap">
                                <a id="logo" href="./"></a>
                                <?php if ($this->countModules('advert1')) : ?>
                                <div id="search">
                                        <jdoc:include type="modules" name="advert1" style="raw" />
                                </div>
                                <?php endif; ?>
                        </div>
                        <!-- menu -->
                        <div id="horiz-menu" class="nav">
                                <?php echo $main_navigation;?>
                        </div>
                        <div id="content_wrap" class="clearfix">
                                <?php if ($this->countModules('banner')) : ?>
                                <!-- banner -->
                                <div id="banner_wrap">
                                        <jdoc:include type="modules" name="banner" style="raw" />
                                </div>
                                <?php endif; ?>
                                <?php if ($this->countModules('pathway')) : ?>
                                <?php if($datatop) : ?>
                                <div id="dat_wrap">
                                        <div id="datatop"><span><?php echo JHTML::_('date', 'now' ) ?></span></div>
                                        <?php endif; ?>
                                        <div id="pathway_wrap">
                                                <?php if($youah) : ?>
                                                <span class="breadcrumbs_start">You are here:</span>
                                                <?php endif; ?>
                                                <jdoc:include type="modules" name="pathway" style="raw" />
                                        </div>
                                </div>
                                <?php endif; ?>
                                <!-- main wrapper -->
                                <?php if ($this->countModules('header or advert2') ) : ?>
                                <div id="main_wrap_top" class="clearfix">
                                        <div id="header_wrap">
                                                <?php if ($this->countModules('header')) : ?>
                                                <div id="header" style="width:<?php echo ($header_width != 0) ? $header_width : 474; ?>px;">
                                                        <jdoc:include type="modules" name="header" style="gavickpro" />
                                                </div>
                                                <?php endif; ?>
                                                <?php if ($this->countModules('advert2')) : ?>
                                                <div id="advert2" style="width:<?php echo ($header_width != 0) ? 904-$header_width-$header_margin : 474; ?>px;margin-left: <?php echo $header_margin; ?>px;">
                                                        <jdoc:include type="modules" name="advert2" style="gavickpro" />
                                                </div>
                                                <?php endif; ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <!-- Main wrapper -->
                                <div id="bg_content_wrap" class="clearfix">
                                        <div id="component<?php echo $w_count ?>">
                                                <?php if ($this->countModules('top')) : ?>
                                                <div class="users_wrap">
                                                        <jdoc:include type="modules" name="top" style="gavickpro" headerLevel="3" />
                                                </div>
                                                <?php endif; ?>
                                                <?php if($this->countModules('user1 or user2 or user3')) : ?>
                                                <div class="users_wrap clearfix">
                                                        <?php if ($this->countModules('user1')) : ?>
                                                        <div class="<?php echo $user_position_1; ?>">
                                                                <!-- user9 -->
                                                                <jdoc:include type="modules" name="user1" style="gavickpro" />
                                                        </div>
                                                        <?php endif; ?>
                                                        <?php if ($this->countModules('user2')) : ?>
                                                        <div class="<?php echo $user_position_1; ?>">
                                                                <!-- user10 -->
                                                                <jdoc:include type="modules" name="user2" style="gavickpro" />
                                                        </div>
                                                        <?php endif; ?>
                                                        <?php if ($this->countModules('user3')) : ?>
                                                        <div class="<?php echo $user_position_1; ?>">
                                                                <!-- user11 -->
                                                                <jdoc:include type="modules" name="user3" style="gavickpro" />
                                                        </div>
                                                        <?php endif; ?>
                                                </div>
                                                <?php endif; ?>
                                                <div id="mainbody">
                                                        <jdoc:include type="component" />
                                                </div>
                                                <?php if($this->countModules('user4 or user5 or user6')) : ?>
                                                <div class="users_wrap usbottom clearfix">
                                                        <?php if ($this->countModules('user4')) : ?>
                                                        <div class="<?php echo $user_position_2; ?>">
                                                                <!-- user9 -->
                                                                <jdoc:include type="modules" name="user4" style="gavickpro" />
                                                        </div>
                                                        <?php endif; ?>
                                                        <?php if ($this->countModules('user5')) : ?>
                                                        <div class="<?php echo $user_position_2; ?>">
                                                                <!-- user10 -->
                                                                <jdoc:include type="modules" name="user5" style="gavickpro" />
                                                        </div>
                                                        <?php endif; ?>
                                                        <?php if ($this->countModules('user6')) : ?>
                                                        <div class="<?php echo $user_position_2; ?>">
                                                                <!-- user11 -->
                                                                <jdoc:include type="modules" name="user6" style="gavickpro" />
                                                        </div>
                                                        <?php endif; ?>
                                                </div>
                                                <?php endif; ?>
                                                <?php if ($this->countModules('bottom')) : ?>
                                                <div class="users_wrap usbottom">
                                                        <jdoc:include type="modules" name="bottom" style="gavickpro" headerLevel="3" />
                                                </div>
                                                <?php endif; ?>
                                        </div>      
                                        <?php if ($this->countModules('right')) : ?>
                                        <div id="right">
                                                <jdoc:include type="modules" name="right" style="gavickpro" headerLevel="3" />
                                        </div>
                                        <?php endif; ?>
                                </div>
                                <?php if ($this->countModules('highlighter')) : ?>
                                                <div id="highlighter">
                                                        <jdoc:include type="modules" name="highlighter" style="raw" headerLevel="3" />
                                                </div>
                                                <?php endif; ?>
                                <?php if($this->countModules('user9 or user10 or user11')) : ?>
                                <!-- Bottom modules -->
                                <div id="bottom_wrap" class="clearfix">
                                        <?php if ($this->countModules('user9')) : ?>
                                        <div class="<?php 
				if($third_width > 0 && $this->countModules('user9') && $this->countModules('user10') && $this->countModules('user11'))
				{
					if($third_width == 3) echo $user_position_4s2;
					else echo $user_position_4s1; 
				}
				else
				{
					echo $user_position_4; 
				}
			?>" <?php if($third_width > 0) echo 'style="margin-left:0;"'; ?>>
                                                <!-- user9 -->
                                                <jdoc:include type="modules" name="user9" style="gavickpro" />
                                        </div>
                                        <?php endif; ?>
                                        <?php if ($this->countModules('user10')) : ?>
                                        <div class="<?php
				if($third_width > 0 && $this->countModules('user9') && $this->countModules('user10') && $this->countModules('user11'))
				{
					if($third_width == 2) echo $user_position_4s2;
					else echo $user_position_4s1; 
				}
				else
				{
					echo $user_position_4; 
				}
			?>">
                                                <!-- user10 -->
                                                <jdoc:include type="modules" name="user10" style="gavickpro" />
                                        </div>
                                        <?php endif; ?>
                                        <?php if ($this->countModules('user11')) : ?>
                                        <div class="<?php
				if($third_width > 0 && $this->countModules('user9') && $this->countModules('user10') && $this->countModules('user11'))
				{
					if($third_width == 1) echo $user_position_4s2;
					else echo $user_position_4s1; 
				}
				else
				{
					echo $user_position_4; 
				}
			?>">
                                                <!-- user11 -->
                                                <jdoc:include type="modules" name="user11" style="gavickpro" />
                                        </div>
                                        <?php endif; ?>
                                </div>
                                <?php endif; ?>
                        </div>
                        <!-- Footer -->
                        <div id="footer_wrap">
                                <?php 
				// including footer file
				include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_footer.php'); 
			?>
                        </div>
                        <?php 
			// including information alert for IE6
			if($this->params->get("ie6info", 1) == 1): 
		?>
                        <!-- IE6 alert -->
                        <div id="ie6">
                                <?php include_once(JPATH_ROOT."/templates/".$this->template.'/lib/php/gk_ie6.php'); ?>
                        </div>
                        <?php endif; ?>
                </div>
        </div>
</div>
</body>
</html>
